<Page x:Class="homework_12_6.Employee.Edit.EmployeeEdit"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
      xmlns:system="clr-namespace:System;assembly=mscorlib"
      xmlns:employeeType="clr-namespace:homework_12_6.Domain.Enumeration"
      mc:Ignorable="d"
      Title="EmployeeEdit" Height="600" Width="800">
    <Page.Resources>
        <ObjectDataProvider x:Key="EmployeeTypes"
                            MethodName="GetValues" ObjectType="{x:Type system:Enum}">
            <ObjectDataProvider.MethodParameters>
                <x:Type TypeName="employeeType:EmployeeType" />
            </ObjectDataProvider.MethodParameters>
        </ObjectDataProvider>
    </Page.Resources>
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>
        <TextBlock HorizontalAlignment="Center">Edit Employee</TextBlock>
        <StackPanel Grid.Row="1">
            <Label>Firstname</Label>
            <TextBox x:Name="EmployeeFirstName" Text="{Binding ElementName=_employee, Path=Firstname}" />
            <Label>Lastname></Label>
            <TextBox x:Name="EmployeeLastName" Text="{Binding ElementName=_employee, Path=Lastname}" />
            <Label>Age</Label>
            <TextBox x:Name="EmployeeAge" Text="{Binding ElementName=_employee, Path=Age}" />
            <Label>Salary</Label>
            <TextBox x:Name="EmployeeSalary" Text="{Binding ElementName=_employee, Path=Salary}" />
            <Label>Position</Label>
            <ComboBox x:Name="EmployeeType" ItemsSource="{Binding Source= {StaticResource EmployeeTypes}}" />
            <Label>DepartmentId</Label>
            <TextBlock x:Name="DepartmentId" Text="{Binding ElementName=_employee, Path=DepartmentId, Mode=OneTime}" />
            <Button Click="Save">Save</Button>
        </StackPanel>
    </Grid>
</Page>
